services:

  auth-server:
    container_name: auth_server
    image: docker.mistox.net/auth-website:latest
    restart: always
    environment:
      - MySQLServer=auth-database
      - MySQLDatabase=Auth
      - MySQLUser=${MySQL_User}
      - MySQLPass=${MySQL_Pass}
      - EmailServer=${Email_Server}
      - EmailPort=${Email_Port}
      - EmailAddress=${Email_Address}
      - EmailPassword=${Email_Password}
      - JWTsecret=${JWT_Secret}
    ports:
      - 5000:5000
    depends_on:
      - boredcareers-database

  auth-database:
    container_name: auth_database
    image: docker.mistox.net/auth-sql:latest
    restart: always
    volumes:
      - ./data:/var/lib/mysql
    environment:
      MYSQL_ROOT_PASSWORD: ${MySQL_Pass}